Bug 319835 - Crash while scanning collection (@SqlScanResultProcessor)
Summary: Crash while scanning collection (@SqlScanResultProcessor)
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.7-git
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2013-05-14 18:34 UTC by Martin
Modified: 2013-06-26 17:48 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments
New crash information added by DrKonqi (13.15 KB, text/plain)
2013-05-15 11:46 UTC, Martin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2013-05-14 18:34:58 UTC
Application: amarok (2.7-git)
KDE Platform Version: 4.10.3
Qt Version: 4.8.4
Operating System: Linux 3.8.0-20-generic x86_64
Distribution: Ubuntu 13.04

-- Information about the crash:
- What I was doing when the application crashed:
I listened to some music with the git master version from today when Amarok crashed. Amarok was also updating the collection because the files playing have not been found so far by the collection scanner. Playing the file again did not crashed the program.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fee9e9017c0 (LWP 16979))]

Thread 18 (Thread 0x7fee7a182700 (LWP 16982)):
#0  __pthread_mutex_lock_full (mutex=0x28bb900) at pthread_mutex_lock.c:308
#1  0x00007fee8af3a24e in pa_mutex_lock () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-3.0.so
#2  0x00007fee91e03ce9 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007fee91df5205 in pa_mainloop_poll () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007fee91df5869 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007fee91df5920 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007fee91e03c8f in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#7  0x00007fee8af3b143 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-3.0.so
#8  0x00007fee99666f8e in start_thread (arg=0x7fee7a182700) at pthread_create.c:311
#9  0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 17 (Thread 0x7fee76b32700 (LWP 16984)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fee9bc9b0a7 in wait (time=60000, this=0x2185580) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2917cf8, time=60000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fee9d9590c1 in AbstractDirectoryWatcher::run (this=0x2917cd0) at /home/martin/sources/amarok/src/scanner/AbstractDirectoryWatcher.cpp:65
#4  0x00007fee98ccbe3a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fee76b31d70, th=th@entry=0x22f72e0, job=job@entry=0x2917cd0) at ../../../threadweaver/Weaver/Job.cpp:106
#5  0x00007fee98ccbfb1 in ThreadWeaver::Job::execute (this=0x2917cd0, th=0x22f72e0) at ../../../threadweaver/Weaver/Job.cpp:135
#6  0x00007fee98ccb60f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fee76b31dc0, parent=0x2179370, th=th@entry=0x22f72e0) at ../../../threadweaver/Weaver/Thread.cpp:95
#7  0x00007fee98ccb6cb in ThreadWeaver::Thread::run (this=0x22f72e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fee9bc9abec in QThreadPrivate::start (arg=0x22f72e0) at thread/qthread_unix.cpp:338
#9  0x00007fee99666f8e in start_thread (arg=0x7fee76b32700) at pthread_create.c:311
#10 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7fee76124700 (LWP 16985)):
#0  0x00007fee9966a07f in __pthread_mutex_unlock_usercnt (mutex=0x7fee5c000a60, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  0x00007fee94dad5f1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee94d6e0ac in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fee94d6e304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fee9bdc6036 in QEventDispatcherGlib::processEvents (this=0x7fee5c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fee9bd9638f in QEventLoop::processEvents (this=this@entry=0x7fee76123d90, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fee9bd96618 in QEventLoop::exec (this=this@entry=0x7fee76123d90, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fee9bc98410 in QThread::exec (this=this@entry=0x2918770) at thread/qthread.cpp:542
#8  0x00007fee9bd77edf in QInotifyFileSystemWatcherEngine::run (this=0x2918770) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00007fee9bc9abec in QThreadPrivate::start (arg=0x2918770) at thread/qthread_unix.cpp:338
#10 0x00007fee99666f8e in start_thread (arg=0x7fee76124700) at pthread_create.c:311
#11 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7fee74848700 (LWP 16986)):
[KCrash Handler]
#6  hash (n=1397463372, p=0x7fee57841002) at tools/qhash.cpp:85
#7  qHash (key=...) at tools/qhash.cpp:99
#8  0x00007fee7881e68c in QHash<QString, int>::findNode (this=0x217ac40, akey=..., ahp=0x0) at /usr/include/qt4/QtCore/qhash.h:882
#9  0x00007fee7881e323 in QHash<QString, int>::remove (this=0x217ac40, akey=...) at /usr/include/qt4/QtCore/qhash.h:791
#10 0x00007fee7881c840 in SqlScanResultProcessor::urlsCacheRemove (this=0x217abd0, entry=...) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:637
#11 0x00007fee7881c4e6 in SqlScanResultProcessor::urlsCacheInsert (this=0x217abd0, entry=...) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:592
#12 0x00007fee7881a3ae in SqlScanResultProcessor::commitTrack (this=0x217abd0, track=0x7fee62c6bdd0, srcAlbum=0x7fedf99356a0) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:264
#13 0x00007fee7881958d in SqlScanResultProcessor::commitAlbum (this=0x217abd0, album=0x7fedf99356a0) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:155
#14 0x00007fee9d95b4ed in AbstractScanResultProcessor::scanSucceeded (this=0x217abd0) at /home/martin/sources/amarok/src/scanner/AbstractScanResultProcessor.cpp:203
#15 0x00007fee78818eed in SqlScanResultProcessor::scanSucceeded (this=0x217abd0) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:69
#16 0x00007fee9d95bef4 in AbstractScanResultProcessor::qt_static_metacall (_o=0x217abd0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fee74847a20) at /home/martin/sources/amarok/build/src/AbstractScanResultProcessor.moc:73
#17 0x00007fee9bdac0ef in QMetaObject::activate (sender=0x21782b0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#18 0x00007fee9d7357c3 in GenericScanManager::succeeded (this=0x21782b0) at /home/martin/sources/amarok/build/src/moc_GenericScanManager.cpp:153
#19 0x00007fee9d955a73 in GenericScanManager::slotSucceeded (this=0x21782b0) at /home/martin/sources/amarok/src/scanner/GenericScanManager.cpp:133
#20 0x00007fee9d7355a0 in GenericScanManager::qt_static_metacall (_o=0x21782b0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fee74847be0) at /home/martin/sources/amarok/build/src/moc_GenericScanManager.cpp:83
#21 0x00007fee9bdac0ef in QMetaObject::activate (sender=0x80eb7b0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#22 0x00007fee9d957dcb in GenericScannerJob::succeeded (this=0x80eb7b0) at /home/martin/sources/amarok/build/src/GenericScannerJob.moc:132
#23 0x00007fee9d95664e in GenericScannerJob::run (this=0x80eb7b0) at /home/martin/sources/amarok/src/scanner/GenericScannerJob.cpp:157
#24 0x00007fee98ccbe3a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fee74847d70, th=th@entry=0x2a55260, job=job@entry=0x80eb7b0) at ../../../threadweaver/Weaver/Job.cpp:106
#25 0x00007fee98ccbfb1 in ThreadWeaver::Job::execute (this=0x80eb7b0, th=0x2a55260) at ../../../threadweaver/Weaver/Job.cpp:135
#26 0x00007fee98ccb60f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fee74847dc0, parent=0x2179370, th=th@entry=0x2a55260) at ../../../threadweaver/Weaver/Thread.cpp:95
#27 0x00007fee98ccb6cb in ThreadWeaver::Thread::run (this=0x2a55260) at ../../../threadweaver/Weaver/Thread.cpp:142
#28 0x00007fee9bc9abec in QThreadPrivate::start (arg=0x2a55260) at thread/qthread_unix.cpp:338
#29 0x00007fee99666f8e in start_thread (arg=0x7fee74848700) at pthread_create.c:311
#30 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7fee6bffe700 (LWP 16987)):
#0  0x00007fee9b63fb6d in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fee94dac76f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee9bd9ad42 in QCoreApplication::postEvent (receiver=0x2cc66a0, event=event@entry=0x7fee546947a0, priority=priority@entry=0) at kernel/qcoreapplication.cpp:1392
#3  0x00007fee9bd9ae07 in QCoreApplication::postEvent (receiver=<optimized out>, event=event@entry=0x7fee546947a0) at kernel/qcoreapplication.cpp:1304
#4  0x00007fee9bdac415 in queued_activate (argv=0x7fee6bffd6a0, c=0x4d2a9b0, signal=5, sender=0x217abd0) at kernel/qobject.cpp:3423
#5  QMetaObject::activate (sender=0x217abd0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3499
#6  0x00007fee9d95c0a7 in AbstractScanResultProcessor::incrementProgress (this=0x217abd0) at /home/martin/sources/amarok/build/src/AbstractScanResultProcessor.moc:130
#7  0x00007fee9d95b572 in AbstractScanResultProcessor::scanSucceeded (this=0x217abd0) at /home/martin/sources/amarok/src/scanner/AbstractScanResultProcessor.cpp:213
#8  0x00007fee78818eed in SqlScanResultProcessor::scanSucceeded (this=0x217abd0) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:69
#9  0x00007fee9d95bef4 in AbstractScanResultProcessor::qt_static_metacall (_o=0x217abd0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fee6bffda20) at /home/martin/sources/amarok/build/src/AbstractScanResultProcessor.moc:73
#10 0x00007fee9bdac0ef in QMetaObject::activate (sender=0x21782b0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#11 0x00007fee9d7357c3 in GenericScanManager::succeeded (this=0x21782b0) at /home/martin/sources/amarok/build/src/moc_GenericScanManager.cpp:153
#12 0x00007fee9d955a73 in GenericScanManager::slotSucceeded (this=0x21782b0) at /home/martin/sources/amarok/src/scanner/GenericScanManager.cpp:133
#13 0x00007fee9d7355a0 in GenericScanManager::qt_static_metacall (_o=0x21782b0, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fee6bffdbe0) at /home/martin/sources/amarok/build/src/moc_GenericScanManager.cpp:83
#14 0x00007fee9bdac0ef in QMetaObject::activate (sender=0x82ec260, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#15 0x00007fee9d957dcb in GenericScannerJob::succeeded (this=0x82ec260) at /home/martin/sources/amarok/build/src/GenericScannerJob.moc:132
#16 0x00007fee9d95664e in GenericScannerJob::run (this=0x82ec260) at /home/martin/sources/amarok/src/scanner/GenericScannerJob.cpp:157
#17 0x00007fee98ccbe3a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fee6bffdd70, th=th@entry=0x7fee60028950, job=job@entry=0x82ec260) at ../../../threadweaver/Weaver/Job.cpp:106
#18 0x00007fee98ccbfb1 in ThreadWeaver::Job::execute (this=0x82ec260, th=0x7fee60028950) at ../../../threadweaver/Weaver/Job.cpp:135
#19 0x00007fee98ccb60f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fee6bffddc0, parent=0x2179370, th=th@entry=0x7fee60028950) at ../../../threadweaver/Weaver/Thread.cpp:95
#20 0x00007fee98ccb6cb in ThreadWeaver::Thread::run (this=0x7fee60028950) at ../../../threadweaver/Weaver/Thread.cpp:142
#21 0x00007fee9bc9abec in QThreadPrivate::start (arg=0x7fee60028950) at thread/qthread_unix.cpp:338
#22 0x00007fee99666f8e in start_thread (arg=0x7fee6bffe700) at pthread_create.c:311
#23 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7fee6b7fd700 (LWP 16988)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee9bc9b14b in wait (time=18446744073709551615, this=0x21794c0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2179398, mutex=0x29152c0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fee98cca041 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2179370, th=0x7fee6003d960) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fee98ccc94b in ThreadWeaver::WorkingHardState::applyForWork (this=0x240bfc0, th=0x7fee6003d960) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fee98ccc964 in ThreadWeaver::WorkingHardState::applyForWork (this=0x240bfc0, th=0x7fee6003d960) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fee98ccb63f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fee6b7fcdc0, parent=0x2179370, th=th@entry=0x7fee6003d960) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fee98ccb6cb in ThreadWeaver::Thread::run (this=0x7fee6003d960) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fee9bc9abec in QThreadPrivate::start (arg=0x7fee6003d960) at thread/qthread_unix.cpp:338
#9  0x00007fee99666f8e in start_thread (arg=0x7fee6b7fd700) at pthread_create.c:311
#10 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7fee6a754700 (LWP 16989)):
#0  0x00007fee9966a07f in __pthread_mutex_unlock_usercnt (mutex=0x7fee4c000a60, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  0x00007fee94dad5f1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee94d6e0f1 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fee94d6e304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fee9bdc6036 in QEventDispatcherGlib::processEvents (this=0x7fee4c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fee9bd9638f in QEventLoop::processEvents (this=this@entry=0x7fee6a753d90, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fee9bd96618 in QEventLoop::exec (this=this@entry=0x7fee6a753d90, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fee9bc98410 in QThread::exec (this=this@entry=0x2d97410) at thread/qthread.cpp:542
#8  0x00007fee9bd77edf in QInotifyFileSystemWatcherEngine::run (this=0x2d97410) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x00007fee9bc9abec in QThreadPrivate::start (arg=0x2d97410) at thread/qthread_unix.cpp:338
#10 0x00007fee99666f8e in start_thread (arg=0x7fee6a754700) at pthread_create.c:311
#11 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7fee6908d700 (LWP 16990)):
#0  0x00007fee9b646233 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fee9bd76132 in QProcessManager::run (this=0x7fee9c0f5540 <processManager()::processManager>) at io/qprocess_unix.cpp:245
#2  0x00007fee9bc9abec in QThreadPrivate::start (arg=0x7fee9c0f5540 <processManager()::processManager>) at thread/qthread_unix.cpp:338
#3  0x00007fee99666f8e in start_thread (arg=0x7fee6908d700) at pthread_create.c:311
#4  0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7fee4bfff700 (LWP 16992)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee97d2ae77 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007fee97d2aea9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007fee99666f8e in start_thread (arg=0x7fee4bfff700) at pthread_create.c:311
#4  0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7fee31cf2700 (LWP 16997)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fee9bc9b0a7 in wait (time=361564, this=0x2883400) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2882600, time=361564) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fee7f2e2d46 in ?? () from /usr/lib/x86_64-linux-gnu/qt4/plugins/phonon_backend/phonon_gstreamer.so
#4  0x00007fee7f2e32cb in ?? () from /usr/lib/x86_64-linux-gnu/qt4/plugins/phonon_backend/phonon_gstreamer.so
#5  0x00007fee9bdac0ef in QMetaObject::activate (sender=0x2885af0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#6  0x00007fee9440c8e7 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#7  0x00007fee944252df in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#8  0x00007fee94425f92 in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#9  0x00007fee74ca3452 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstplaybin.so
#10 0x00007fee9440c8e7 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#11 0x00007fee944252df in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#12 0x00007fee94425f92 in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#13 0x00007fee9440c8e7 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#14 0x00007fee944252df in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#15 0x00007fee94425f92 in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#16 0x00007fee3296adc2 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstdecodebin2.so
#17 0x00007fee3296e58b in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstdecodebin2.so
#18 0x00007fee89d6cf19 in gst_marshal_BOOLEAN__POINTER () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#19 0x00007fee9440c620 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#20 0x00007fee9441df00 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#21 0x00007fee94424e3b in g_signal_emitv () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#22 0x00007fee89cf701a in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#23 0x00007fee89d2fffc in gst_pad_push_event () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#24 0x00007fee89d1a713 in gst_proxy_pad_event_default () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#25 0x00007fee89d2fb85 in gst_pad_send_event () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#26 0x00007fee89d300e2 in gst_pad_push_event () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#27 0x00007fee312c5e4b in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstflump3dec.so
#28 0x00007fee89d2fb85 in gst_pad_send_event () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#29 0x00007fee89d300e2 in gst_pad_push_event () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#30 0x00007fee89fcf3e6 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#31 0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#32 0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007fee99666f8e in start_thread (arg=0x7fee31cf2700) at pthread_create.c:311
#35 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fee31034700 (LWP 16998)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee94dad83f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee89fd66dc in gst_base_sink_wait_preroll () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#3  0x00007fee7a1a26a8 in ?? () from /usr/lib/x86_64-linux-gnu/libgstaudio-0.10.so.0
#4  0x00007fee89fd8c3f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#5  0x00007fee89fda63f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#6  0x00007fee89fdab48 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#7  0x00007fee89fdae7f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#8  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#9  0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#10 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#11 0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#12 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#13 0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#14 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#15 0x00007fee7533fdf6 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#16 0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#17 0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007fee99666f8e in start_thread (arg=0x7fee31034700) at pthread_create.c:311
#20 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7fee30833700 (LWP 16999)):
#0  0x00007fee9b63fb6d in write () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fee94dac76f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee9bd9ad42 in QCoreApplication::postEvent (receiver=0x28824e0, event=event@entry=0x7fee2807c3a0, priority=priority@entry=0) at kernel/qcoreapplication.cpp:1392
#3  0x00007fee9bd9ae07 in QCoreApplication::postEvent (receiver=<optimized out>, event=event@entry=0x7fee2807c3a0) at kernel/qcoreapplication.cpp:1304
#4  0x00007fee9bdac415 in queued_activate (argv=0x7fee308315a0, c=0x28922a0, signal=13, sender=0x2885af0) at kernel/qobject.cpp:3423
#5  QMetaObject::activate (sender=0x2885af0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fee308315a0) at kernel/qobject.cpp:3499
#6  0x00007fee7f2e6726 in ?? () from /usr/lib/x86_64-linux-gnu/qt4/plugins/phonon_backend/phonon_gstreamer.so
#7  0x00007fee7f2eab39 in ?? () from /usr/lib/x86_64-linux-gnu/qt4/plugins/phonon_backend/phonon_gstreamer.so
#8  0x00007fee9440c620 in g_closure_invoke () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#9  0x00007fee9441df00 in ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#10 0x00007fee94425d11 in g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#11 0x00007fee94425f92 in g_signal_emit () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#12 0x00007fee89d04aca in gst_bus_sync_signal_handler () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#13 0x00007fee89d04ee2 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#14 0x00007fee89d12e63 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#15 0x00007fee89cfe667 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#16 0x00007fee89d31ff8 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#17 0x00007fee74ca0359 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstplaybin.so
#18 0x00007fee89cfb418 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#19 0x00007fee89d04ee2 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#20 0x00007fee89d12e63 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#21 0x00007fee89cfe667 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#22 0x00007fee74ca71e5 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstplaybin.so
#23 0x00007fee89cfb418 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#24 0x00007fee89d04ee2 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#25 0x00007fee89d12e63 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#26 0x00007fee89cfe667 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#27 0x00007fee89cfb418 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#28 0x00007fee89d04ee2 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#29 0x00007fee89d12e63 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#30 0x00007fee89cfe667 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#31 0x00007fee89cfb418 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#32 0x00007fee89d04ee2 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#33 0x00007fee89d12e63 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#34 0x00007fee89cfe667 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#35 0x00007fee89cfb418 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#36 0x00007fee89d04ee2 in gst_bus_post () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#37 0x00007fee89d12e63 in gst_element_post_message () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#38 0x00007fee89d132c9 in gst_element_message_full () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#39 0x00007fee7a3c4ab7 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstpulse.so
#40 0x00007fee7a3c535c in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstpulse.so
#41 0x00007fee7a192948 in ?? () from /usr/lib/x86_64-linux-gnu/libgstaudio-0.10.so.0
#42 0x00007fee89d0b971 in gst_clock_get_internal_time () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#43 0x00007fee89d0bb08 in gst_clock_get_time () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#44 0x00007fee89d4ddef in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#45 0x00007fee89d0bc84 in gst_clock_id_wait () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#46 0x00007fee89fd65ff in gst_base_sink_wait_clock () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#47 0x00007fee89fd898b in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#48 0x00007fee89fda63f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#49 0x00007fee89fdab48 in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#50 0x00007fee89fdae7f in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#51 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#52 0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#53 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#54 0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#55 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#56 0x00007fee7533fdf6 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#57 0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#58 0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#60 0x00007fee99666f8e in start_thread (arg=0x7fee30833700) at pthread_create.c:311
#61 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fee23fff700 (LWP 17000)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee94dad83f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee7533ee25 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#5  0x00007fee7534aadf in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#6  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#7  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#8  0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#9  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#10 0x00007fee89fe88dc in ?? () from /usr/lib/x86_64-linux-gnu/libgstbase-0.10.so.0
#11 0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#12 0x00007fee7533fdf6 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#13 0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#14 0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#15 0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007fee99666f8e in start_thread (arg=0x7fee23fff700) at pthread_create.c:311
#17 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fee237fe700 (LWP 17001)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee94dad83f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee7533f6b5 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fee99666f8e in start_thread (arg=0x7fee237fe700) at pthread_create.c:311
#7  0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fee22ffd700 (LWP 17002)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee94dad83f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee7533ee25 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#5  0x00007fee7534a5e0 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#6  0x00007fee7534aadf in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#7  0x00007fee89d2edb1 in gst_pad_push () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#8  0x00007fee7533fdf6 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#9  0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#10 0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007fee99666f8e in start_thread (arg=0x7fee22ffd700) at pthread_create.c:311
#13 0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fee227fc700 (LWP 17003)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee94dad83f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee7533f6b5 in ?? () from /usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstcoreelements.so
#3  0x00007fee89d54e34 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#4  0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fee99666f8e in start_thread (arg=0x7fee227fc700) at pthread_create.c:311
#7  0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fee21ffb700 (LWP 17112)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fee94dad83f in g_cond_wait () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee89d55003 in ?? () from /usr/lib/x86_64-linux-gnu/libgstreamer-0.10.so.0
#3  0x00007fee94d926f2 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fee94d91eb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fee99666f8e in start_thread (arg=0x7fee21ffb700) at pthread_create.c:311
#6  0x00007fee9b64de1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fee9e9017c0 (LWP 16979)):
#0  0x00007fee9b63fb0d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fee94dac6cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fee94d6dd3c in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fee94d6e175 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fee94d6e304 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fee9bdc6036 in QEventDispatcherGlib::processEvents (this=0x2089ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fee9c8261ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#7  0x00007fee9bd9638f in QEventLoop::processEvents (this=this@entry=0x7fff314f5690, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007fee9bd96618 in QEventLoop::exec (this=this@entry=0x7fff314f5690, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007fee9bd9bcf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#10 0x00000000004079c9 in main (argc=1, argv=0x7fff314f5918) at /home/martin/sources/amarok/src/main.cpp:329

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2013-05-15 00:08:50 UTC
Is this crash reproducible? Please make sure you always use the very latest git build, current is at  v2.7.0-299-g00eb2e4
Comment 2 Martin 2013-05-15 11:46:38 UTC
Created attachment 79899 [details]
New crash information added by DrKonqi

amarok (2.7-git) on KDE Platform 4.10.3 using Qt 4.8.4

Yes it seems that I can reproduce the bug. I went to the settings and started a full rescan of my library. After a while Amarok crashed. I used v2.7.0-291-g89a8141 but I will update and try again.

-- Backtrace (Reduced):
#6  0x00007f9d90a33037 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007f9d90a36698 in __GI_abort () at abort.c:90
[...]
#11 0x00007f9d6dcc4107 in SqlScanResultProcessor::removeTrack (this=0x14cc500, entry=...) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:544
#12 0x00007f9d6dcc375f in SqlScanResultProcessor::deleteDeletedTracks (this=0x14cc500, directoryId=10832) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:451
#13 0x00007f9d6dcc3647 in SqlScanResultProcessor::deleteDeletedTracks (this=0x14cc500, directory=0x7f9d548e96c0) at /home/martin/sources/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:433
Comment 3 Martin 2013-05-15 12:17:59 UTC
It is the same with v2.7.0-302-gc208b80. Every collection scan crashes the program. Right now I have at least one album in my collection where all files have two entries: One from before and one from after the move of the files.
Comment 4 Mark Kretschmann 2013-05-15 12:26:49 UTC
Thanks for testing. Confirming the report based on your backtrace.
Comment 5 Myriam Schweingruber 2013-05-15 12:53:06 UTC
Could you please run the amarokcollectionscanner to see if it crashes on a specific file? See amarokcollectionscanner --help for options.
Comment 6 Martin 2013-05-15 14:40:49 UTC
When I ran the collection scanner it worked through all the files and completed the scan without any problems.
Comment 7 Mark Kretschmann 2013-05-15 14:47:47 UTC
@Myriam: The particular piece of code that crashed is in Amarok itself, not in the scanner.
Comment 8 Myriam Schweingruber 2013-05-15 15:18:15 UTC
Thanks for the fast feedback.
Comment 9 Myriam Schweingruber 2013-05-23 14:39:20 UTC
Just had the same crash: Amarok v2.7.0-313-g35c6b12. Lauched a full colelction rescan, no tracks playing:

Thread 16 (Thread 0x7ff8a37fe700 (LWP 21339)):
[KCrash Handler]
#6  0x00007ff8e0c43037 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x00007ff8e0c46698 in __GI_abort () at abort.c:90
#8  0x00007ff8e0c805ab in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7ff8e0d93860 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:199
#9  0x00007ff8e0c8ca46 in malloc_printerr (ptr=0x7ff7e11fd9a0, str=0x7ff8e0d93948 "double free or corruption (!prev)", action=3) at malloc.c:4902
#10 _int_free (av=av@entry=0x7ff89c000020, p=p@entry=0x7ff7e11fd990, have_lock=have_lock@entry=1) at malloc.c:3758
#11 0x00007ff8e0c8ec30 in _int_realloc (av=av@entry=0x7ff89c000020, oldp=oldp@entry=0x7ff7e11fd990, oldsize=524304, nb=nb@entry=1048592) at malloc.c:4245
#12 0x00007ff8e0c8fb92 in __GI___libc_realloc (oldmem=0x7ff7e11fd9a0, bytes=1048576) at malloc.c:2984
#13 0x00007ff8e188b5f6 in QListData::realloc (this=this@entry=0x2996b38, alloc=131069) at tools/qlist.cpp:221
#14 0x00007ff8e188b6a7 in QListData::append (this=0x2996b38, n=1) at tools/qlist.cpp:243
#15 0x00007ff8e5a2156b in QList<QString>::append (this=0x2996b38, t=...) at /usr/include/qt4/QtCore/qlist.h:530
#16 0x00007ff8bce95af5 in SqlScanResultProcessor::commitTrack (this=0x2996ab0, track=0x7ff89c481350, srcAlbum=0x7ff89f0c2e90) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:212
#17 0x00007ff8bce94f6b in SqlScanResultProcessor::commitAlbum (this=0x2996ab0, album=0x7ff89f0c2e90) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:155
#18 0x00007ff8e4b5ee1f in AbstractScanResultProcessor::scanSucceeded (this=0x2996ab0) at /home/myriam/kde/src/amarok/src/scanner/AbstractScanResultProcessor.cpp:169
#19 0x00007ff8bce93d41 in SqlScanResultProcessor::scanSucceeded (this=0x2996ab0) at /home/myriam/kde/src/amarok/src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp:69
#20 0x00007ff8e4b602bf in AbstractScanResultProcessor::qt_static_metacall (_o=0x2996ab0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7ff8a37fd980) at /home/myriam/kde/build/amarok/src/AbstractScanResultProcessor.moc:73
#21 0x00007ff8e197f0ef in QMetaObject::activate (sender=0x291df60, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#22 0x00007ff8e47eb4ab in GenericScanManager::succeeded (this=0x291df60) at /home/myriam/kde/build/amarok/src/moc_GenericScanManager.cpp:153
#23 0x00007ff8e4b55b6b in GenericScanManager::slotSucceeded (this=0x291df60) at /home/myriam/kde/src/amarok/src/scanner/GenericScanManager.cpp:134
#24 0x00007ff8e47eb304 in GenericScanManager::qt_static_metacall (_o=0x291df60, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7ff8a37fdb90) at /home/myriam/kde/build/amarok/src/moc_GenericScanManager.cpp:83
#25 0x00007ff8e197f0ef in QMetaObject::activate (sender=0xb5f0cb0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#26 0x00007ff8e4b58dab in GenericScannerJob::succeeded (this=0xb5f0cb0) at /home/myriam/kde/build/amarok/src/GenericScannerJob.moc:132
#27 0x00007ff8e4b56e00 in GenericScannerJob::run (this=0xb5f0cb0) at /home/myriam/kde/src/amarok/src/scanner/GenericScannerJob.cpp:157
#28 0x00007ff8df134e3a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7ff8a37fdd70, th=th@entry=0x2c2fef0, job=job@entry=0xb5f0cb0) at ../../../threadweaver/Weaver/Job.cpp:106
#29 0x00007ff8df134fb1 in ThreadWeaver::Job::execute (this=0xb5f0cb0, th=0x2c2fef0) at ../../../threadweaver/Weaver/Job.cpp:135
#30 0x00007ff8df13460f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7ff8a37fddc0, parent=0x29d3fb0, th=th@entry=0x2c2fef0) at ../../../threadweaver/Weaver/Thread.cpp:95
#31 0x00007ff8df1346cb in ThreadWeaver::Thread::run (this=0x2c2fef0) at ../../../threadweaver/Weaver/Thread.cpp:142
#32 0x00007ff8e186dbec in QThreadPrivate::start (arg=0x2c2fef0) at thread/qthread_unix.cpp:338
#33 0x00007ff8dfacff8e in start_thread (arg=0x7ff8a37fe700) at pthread_create.c:311
#34 0x00007ff8e0d05e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
Comment 10 Matěj Laitl 2013-05-23 16:32:20 UTC
This is because GenericScanManager::slotSucceeded(), in turn SqlScanResultProcessor::scanSucceeded() in turn AbstractScanResultProcessor::scanSucceeded() in turn SqlScanResultProcessor::commitAlbum() in turn SqlScanResultProcessor::commitTrack() being called from the non-main thread, which it doesn't expect.

I'll have a look at this later.
Comment 11 Matěj Laitl 2013-06-26 17:48:49 UTC
Git commit acf7cfabe5e51cef2704d76a4312724ebf4abfcf by Matěj Laitl.
Committed on 26/06/2013 at 16:49.
Pushed by laitl into branch 'master'.

ScanManagers, ScanResultProcessors: don't call non-thread-safe code from a thread

Excessive usage of direct Qt connections lead to a large amount of code
in various ScanResultProcessors being called from a non-main thread, but
the result processors didn't expected it, weren't thread-safe, which
lead to data races.

This fixes one confirmed crash and may fix more seemingly random Local
Collection updating behaviour.
FIXED-IN: 2.8

M  +1    -0    ChangeLog
M  +6    -5    src/core-impl/collections/db/sql/SqlScanResultProcessor.cpp
M  +3    -2    src/core-impl/collections/db/sql/SqlScanResultProcessor.h
M  +3    -3    src/core-impl/collections/umscollection/UmsCollection.cpp
M  +1    -1    src/core-impl/collections/umscollection/UmsCollection.h
M  +13   -23   src/scanner/AbstractScanResultProcessor.cpp
M  +6    -5    src/scanner/AbstractScanResultProcessor.h
M  +12   -16   src/scanner/GenericScanManager.cpp
M  +13   -10   src/scanner/GenericScanManager.h
M  +1    -5    src/scanner/GenericScannerJob.cpp
M  +12   -17   src/scanner/GenericScannerJob.h
M  +7    -15   tests/scanner/TestGenericScanManager.cpp
M  +1    -1    tests/scanner/TestGenericScanManager.h

http://commits.kde.org/amarok/acf7cfabe5e51cef2704d76a4312724ebf4abfcf